Skip to main content
GET
/
v2
/
organizations
/
{orgId}
/
routing-forms
/
{routingFormId}
/
responses
Get routing form responses
curl --request GET \
  --url https://api.cal.com/v2/organizations/{orgId}/routing-forms/{routingFormId}/responses \
  --header 'Authorization: <authorization>'
{
  "status": "success",
  "data": [
    {
      "id": 123,
      "formId": "<string>",
      "formFillerId": "<string>",
      "routedToBookingUid": "<string>",
      "response": {
        "f00b26df-f54b-4985-8d98-17c5482c6a24": {
          "label": "participant",
          "value": "mamut"
        }
      },
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Headers

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_

Path Parameters

orgId
number
required
routingFormId
string
required

Query Parameters

skip
number

Number of responses to skip

take
number

Number of responses to take

sortCreatedAt
enum<string>

Sort by creation time

Available options:
asc,
desc
sortUpdatedAt
enum<string>

Sort by update time

Available options:
asc,
desc
afterCreatedAt
string<date-time>

Filter by responses created after this date

beforeCreatedAt
string<date-time>

Filter by responses created before this date

afterUpdatedAt
string<date-time>

Filter by responses created after this date

beforeUpdatedAt
string<date-time>

Filter by responses updated before this date

routedToBookingUid
string

Filter by responses routed to a specific booking

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object[]
required